import requests 
import pandas as pd
from scales_nlp.utils import load_config

def from_docket_viewer(item):
    config = load_config()
    host_url = config['DOCKET_VIEWER_HOST']
    api_key = config['DOCKET_VIEWER_API_KEY']
    if isinstance(item, str):
        url = host_url + 'train-api'
        args = {'label': item, 'api_key': api_key}
    elif isinstance(item, int):
        url = host_url + 'sample-api'
        args = {'n': item, 'api_key': api_key}
    else:
        raise ValueError('item must be str or int')
    r = requests.post(url, data=args)
    if r.status_code != 200:
        raise Exception(r.text)
    return pd.DataFrame(r.json())
 
